For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
            • GETList Categories
            • POSTCreate Category
            • DELDelete Categories
            • GETGet Category
            • PUTUpdate Category
            • DELDelete Category
        • Category Trees
        • Products
        • Product Modifiers
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
    • Tool Resynchronization
Dev Portal
LogoLogo
RESTAdminCatalogCategories

List Categories

Deprecated
GET
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/categories
GET
/stores/:store_hash/v3/catalog/categories
$curl https://api.bigcommerce.com/stores/store_hash/v3/catalog/categories \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Response
1{
2 "data": [
3 {
4 "id": 19,
5 "parent_id": 0,
6 "name": "Garden",
7 "description": "<p>This is the garden description</p>",
8 "views": 0,
9 "sort_order": 2,
10 "page_title": "page title",
11 "meta_keywords": [
12 "meta keyword"
13 ],
14 "meta_description": "meta description",
15 "layout_file": "category.html",
16 "image_url": "",
17 "is_visible": true,
18 "search_keywords": "search keywords",
19 "default_product_sort": "use_store_settings",
20 "custom_url": {
21 "url": "/garden/",
22 "is_customized": false
23 }
24 },
25 {
26 "id": 20,
27 "parent_id": 0,
28 "name": "Publications",
29 "description": "",
30 "views": 0,
31 "sort_order": 4,
32 "page_title": "",
33 "meta_keywords": [
34 ""
35 ],
36 "meta_description": "",
37 "layout_file": "category_with_facets.html",
38 "image_url": "",
39 "is_visible": true,
40 "search_keywords": "",
41 "default_product_sort": "use_store_settings",
42 "custom_url": {
43 "url": "/publications/",
44 "is_customized": false
45 }
46 },
47 {
48 "id": 21,
49 "parent_id": 0,
50 "name": "Kitchen",
51 "description": "",
52 "views": 0,
53 "sort_order": 3,
54 "page_title": "",
55 "meta_keywords": [
56 ""
57 ],
58 "meta_description": "",
59 "layout_file": "category_with_facets.html",
60 "image_url": "",
61 "is_visible": true,
62 "search_keywords": "",
63 "default_product_sort": "use_store_settings",
64 "custom_url": {
65 "url": "/kitchen/",
66 "is_customized": false
67 }
68 },
69 {
70 "id": 22,
71 "parent_id": 0,
72 "name": "Utility",
73 "description": "",
74 "views": 0,
75 "sort_order": 5,
76 "page_title": "",
77 "meta_keywords": [
78 ""
79 ],
80 "meta_description": "",
81 "layout_file": "category_with_facets.html",
82 "image_url": "",
83 "is_visible": true,
84 "search_keywords": "",
85 "default_product_sort": "use_store_settings",
86 "custom_url": {
87 "url": "/utility/",
88 "is_customized": false
89 }
90 },
91 {
92 "id": 23,
93 "parent_id": 0,
94 "name": "Shop All",
95 "description": "",
96 "views": 0,
97 "sort_order": 0,
98 "page_title": "",
99 "meta_keywords": [
100 ""
101 ],
102 "meta_description": "",
103 "layout_file": "category_with_facets.html",
104 "image_url": "",
105 "is_visible": true,
106 "search_keywords": "",
107 "default_product_sort": "use_store_settings",
108 "custom_url": {
109 "url": "/shop-all/",
110 "is_customized": false
111 }
112 },
113 {
114 "id": 39,
115 "parent_id": 19,
116 "name": "Bath",
117 "description": "",
118 "views": 0,
119 "sort_order": 0,
120 "page_title": "",
121 "meta_keywords": [
122 ""
123 ],
124 "meta_description": "",
125 "layout_file": "category.html",
126 "image_url": "",
127 "is_visible": true,
128 "search_keywords": "",
129 "default_product_sort": "use_store_settings",
130 "custom_url": {
131 "url": "/garden/bath/",
132 "is_customized": false
133 }
134 }
135 ],
136 "meta": {
137 "pagination": {
138 "total": 6,
139 "count": 6,
140 "per_page": 50,
141 "current_page": 1,
142 "total_pages": 1,
143 "links": {
144 "current": "?page=1&limit=50"
145 }
146 }
147 }
148}
When possible, use the [Catalog Trees - Get all categories](/developer/api-reference/rest/admin/catalog/category-trees/categories/get-all-categories) endpoint instead. Returns a list of *Categories*. Optional filter parameters can be passed in. **Note:** The default rate limit for this endpoint is 40 concurrent requests.
Was this page helpful?
Previous

Catalog - Categories

Next

Create Category

Built with

When possible, use the Catalog Trees - Get all categories endpoint instead.

Returns a list of Categories. Optional filter parameters can be passed in.

Note: The default rate limit for this endpoint is 40 concurrent requests.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

idintegerOptional
Filter items by category ID.
id:inlist of integersOptional

Explicitly include objects by passing a comma-separated list of IDs.

id:not_inlist of integersOptional

Exclude objects by passing a comma-separated list of IDs.

id:minintegerOptional
id:maxintegerOptional
id:greaterintegerOptional
id:lessintegerOptional
namestringOptional
Filter items by name.
name:likestringOptional

Filter items by substring in the name property. name:like=stick returns both Stickers and Lipstick colors.

parent_idintegerOptional

Filter items by parent_id. If the category is a child or sub-category it can be filtered with the parent_id.

parent_id:inlist of integersOptional
parent_id:minintegerOptional
parent_id:maxintegerOptional
parent_id:greaterintegerOptional
parent_id:lessintegerOptional
page_titlestringOptional

Filter items by page_title.

page_title:likestringOptional

Filter items by substring in the page title property. page_title:like=oil returns both Soil and mulch and Oil pastels.

keywordstringOptional

Filter items by keywords found in the name, description, or sku fields, or in the brand name.

is_visiblebooleanOptional
Filter items based on whether the product is currently visible on the storefront.
sortenumOptional
Controls the sort order of the response, for example, `sort=name`. Allowed values: - `name`: sort categories in alphabetical order by category name. - `id`: sort in ascending order by category ID. - `parent_id`: sort in ascending order by the ID of the parent category. - `sort_order`: sort in ascending order by sort order value.
Allowed values:
pageintegerOptional

Specifies the page number in a limited (paginated) list of results.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of results.

include_fieldslist of stringsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

exclude_fieldslist of stringsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

Response

datalist of objects
metaobject
Data about the response, including pagination and collection totals.

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.

Controls the sort order of the response, for example, sort=name.

Allowed values:

  • name: sort categories in alphabetical order by category name.
  • id: sort in ascending order by category ID.
  • parent_id: sort in ascending order by the ID of the parent category.
  • sort_order: sort in ascending order by sort order value.